## ros-kinetic-people-msgs 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(people_msgs)
find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

add_message_files(
   DIRECTORY msg
   FILES
    People.msg
    Person.msg
    PersonStamped.msg
    PositionMeasurement.msg
    PositionMeasurementArray.msg
)

generate_messages(
   DEPENDENCIES geometry_msgs std_msgs
)

catkin_package(
    CATKIN_DEPENDS geometry_msgs message_runtime std_msgs
)

=== debian/changelog ===
ros-kinetic-people-msgs (1.4.0-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 20 Feb 2021 04:10:33 -0000

ros-kinetic-people-msgs (1.1.3-2xenial) xenial; urgency=high

  * Document name field in PositionMeasurement (#75 <https://github.com/wg-perception/people/issues/75>)
  * Cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
    * Fill in implied packages
    * Misc Whitespace cleanup
  * Contributors: David V. Lu!!, Shane Loretz

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 16 Aug 2019 04:00:00 -0000

ros-kinetic-people-msgs (1.0.9-2xenial) xenial; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 04:00:00 -0000

ros-kinetic-people-msgs (1.0.8-2xenial) xenial; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 05:00:00 -0000

ros-kinetic-people-msgs (1.0.3-2xenial) xenial; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 05:00:00 -0000

ros-kinetic-people-msgs (1.0.2-2xenial) xenial; urgency=high



 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-kinetic-people-msgs (1.0.1-2xenial) xenial; urgency=high

  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-people-msgs
Section: misc
Priority: optional
Maintainer: Dan Lazewatsky <dan@lazewatsky.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/people_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-people-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Messages used by nodes in the people stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-people-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
